require 'spec_helper'

describe GraphQL::Rails do
  describe '.configure' do
    it 'yields the configuration object' do
      config = nil
      GraphQL::Rails.configure do |c|
        config = c
      end
      expect(config).to eq GraphQL::Rails.config
    end
  end

  describe '.config' do
    it 'has attribute accessors' do
      GraphQL::Rails.config.debug = false
      expect(GraphQL::Rails.config.debug).to be false
    end
  end
end
